Version 4.0.26.22 (latest)

### Get the columns (and therefore also the tables) in a specific schema

## Request

GET /connections/{connection_name}/columns Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... connection_name string Name of connection query HTTP Query Expand HTTP Query definition... database string For dialects that support multiple databases, optionally identify which to use schema_name string Name of schema to use. cache boolean True to fetch from cache, false to load fresh table_limit integer limits the tables per schema returned table_names string only fetch columns for a given (comma-separated) list of tables fields string Requested fields.

## Response

### 200: Columns schema for connection

Datatype Description (array) [SchemaColumns](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/SchemaColumns)\[\] name string Schema item name sql_escaped_name string Full name of item schema_name string Name of schema columns [SchemaColumn](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/SchemaColumn)\[\] Expand SchemaColumn definition... name string Schema item name sql_escaped_name string Full name of item schema_name string Name of schema data_type_database string SQL dialect data type data_type string Data type data_type_looker string Looker data type description string SQL data type column_size integer Column data size snippets [Snippet](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Snippet)\[\] Expand Snippet definition... name string Name of the snippet label string Label of the snippet sql string SQL text of the snippet

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 422: Validation Error

Datatype Description (object) [ValidationError](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationError) message string Error details errors [ValidationErrorDetail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationErrorDetail)\[\] Expand ValidationErrorDetail definition... field string Field with error code string Error code message string Error info message documentation_url string Documentation link documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link